/*
 * @Description: 
 * @Version: 1.0
 * @Autor: zhuyijun
 * @Date: 2021-11-21 23:56:19
 * @LastEditTime: 2021-12-04 14:38:28
 */
import Vue from 'vue'
import App from './App.vue'
import router from './router'
import './plugins/element.js'
// 导入全局样式表
import './assets/css/global.css'
// 导入字体图标
// import './assets/fonts/iconfont.css'
// 插件
import TreeTable from 'vue-table-with-tree-grid'
// 导入富文本编辑器
import VueQuillEditor from 'vue-quill-editor'
// 导入富文本编辑器对应的样式
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'

import axios from 'axios'
// 拦截器 设置请求头中的token
axios.interceptors.request.use(config => {
    // console.log(config)
    // 预处理将session中的token放入 请求头中
    config.headers.Authorization = window.localStorage.getItem('token')
    return config
})
// 配置请求根路径
axios.defaults.baseURL = 'http://localhost:8888/api/private/v1'
Vue.prototype.$http = axios

Vue.config.productionTip = false

Vue.component('tree-table', TreeTable)
// 全局过滤器
Vue.filter('dateFormat', function (originVal) {
    const dt = new Date(originVal)
    const y = dt.getFullYear()
    const m = (dt.getMonth() + 1 + '').padStart(2, '0')
    const d = (dt.getDate() + '').padStart(2, '0')
    const hh = (dt.getHours() + '').padStart(2, '0')
    const mm = (dt.getMinutes() + '').padStart(2, '0')
    const ss = (dt.getSeconds() + '').padStart(2, '0')
    return `${y}-${m}-${d} ${hh}:${mm}:${ss}`
})
// 将富文本编辑器注册为全局可用的编辑器
Vue.use(VueQuillEditor)
new Vue({
    router,
    render: h => h(App)
}).$mount('#app')
